Package org.springframework.security.core

# Class SpringSecurityCoreVersion

java.lang.Object
org.springframework.security.core.SpringSecurityCoreVersion

public final class SpringSecurityCoreVersion extends Object
Internal class used for checking version compatibility in a deployed application.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final long`
`SERIAL_VERSION_UID`
Global Serialization value for Spring Security classes.

## Method Summary

Modifier and Type
Method
Description
`static String`
`getVersion()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### SERIAL_VERSION_UID

public static final long SERIAL_VERSION_UID
Global Serialization value for Spring Security classes.

See Also:
  - Constant Field Values

## Method Details

### getVersion

public static String getVersion()